<?php

/**
 * Dynamic CSS
 */
function fuzion_blog_dynamic_css() {

	$site_title_font       = get_theme_mod( 'fuzion_blog_site_title_font', 'Cabin' );
	$site_description_font = get_theme_mod( 'fuzion_blog_site_description_font', 'Lato' );
	$header_font           = get_theme_mod( 'fuzion_blog_header_font', 'Cabin' );
	$body_font             = get_theme_mod( 'fuzion_blog_body_font', 'Lato' );

	$custom_css  = '';

	$custom_css .= '
    /* Typograhpy */
    :root {
        --font-heading: "' . esc_attr( $header_font ) . '", serif;
        --font-main: -apple-system, BlinkMacSystemFont,"' . esc_attr( $body_font ) . '", "Segoe UI", Roboto, Oxygen-Sans, Ubuntu, Cantarell, "Helvetica Neue", sans-serif;
    }

    body,
	button, input, select, optgroup, textarea {
        font-family: "' . esc_attr( $body_font ) . '", serif;
	}

	.site-title a {
        font-family: "' . esc_attr( $site_title_font ) . '", serif;
	}
    
	.site-description {
        font-family: "' . esc_attr( $site_description_font ) . '", serif;
	}
    ';

	wp_add_inline_style( 'fuzion-blog-style', $custom_css );

}

add_action( 'wp_enqueue_scripts', 'fuzion_blog_dynamic_css', 99 );
